Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network252.1.166.0/23
Usable hosts510
Subnet mask255.255.254.0
Addresses512
Network address
252.1.166.0
Broadcast address
252.1.167.255
First usable
252.1.166.1
Last usable
252.1.167.254
Usable hosts
510 (512 less the network and broadcast addresses)
Subnet mask
255.255.254.0
Wildcard mask
0.0.1.255 (Cisco ACLs, OSPF)
Prefix length
/23
Type
Reserved 240.0.0.0/4
Future use; not usable on most systems
Old class
E (reserved)
As numbers
Hex FC01A600 · Integer 4227966464 to 4227966975
Reverse DNS zones
166.1.252.in-addr.arpa
167.1.252.in-addr.arpa
/23 is not on a 8-bit boundary, so it takes 2 /24 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address11111100.00000001.10100110.00000000252.1.166.0
Subnet mask11111111.11111111.11111110.00000000255.255.254.0
Network11111100.00000001.10100110.00000000252.1.166.0
Broadcast11111100.00000001.10100111.11111111252.1.167.255
Split into smaller subnets/30

252.1.166.0/23 makes 128 subnets of /30.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
1252.1.166.0/30252.1.166.1 to 252.1.166.2252.1.166.32
2252.1.166.4/30252.1.166.5 to 252.1.166.6252.1.166.72
3252.1.166.8/30252.1.166.9 to 252.1.166.10252.1.166.112
4252.1.166.12/30252.1.166.13 to 252.1.166.14252.1.166.152
5252.1.166.16/30252.1.166.17 to 252.1.166.18252.1.166.192
6252.1.166.20/30252.1.166.21 to 252.1.166.22252.1.166.232
7252.1.166.24/30252.1.166.25 to 252.1.166.26252.1.166.272
8252.1.166.28/30252.1.166.29 to 252.1.166.30252.1.166.312
9252.1.166.32/30252.1.166.33 to 252.1.166.34252.1.166.352
10252.1.166.36/30252.1.166.37 to 252.1.166.38252.1.166.392
11252.1.166.40/30252.1.166.41 to 252.1.166.42252.1.166.432
12252.1.166.44/30252.1.166.45 to 252.1.166.46252.1.166.472
13252.1.166.48/30252.1.166.49 to 252.1.166.50252.1.166.512
14252.1.166.52/30252.1.166.53 to 252.1.166.54252.1.166.552
15252.1.166.56/30252.1.166.57 to 252.1.166.58252.1.166.592
16252.1.166.60/30252.1.166.61 to 252.1.166.62252.1.166.632
17252.1.166.64/30252.1.166.65 to 252.1.166.66252.1.166.672
18252.1.166.68/30252.1.166.69 to 252.1.166.70252.1.166.712
19252.1.166.72/30252.1.166.73 to 252.1.166.74252.1.166.752
20252.1.166.76/30252.1.166.77 to 252.1.166.78252.1.166.792
21252.1.166.80/30252.1.166.81 to 252.1.166.82252.1.166.832
22252.1.166.84/30252.1.166.85 to 252.1.166.86252.1.166.872
23252.1.166.88/30252.1.166.89 to 252.1.166.90252.1.166.912
24252.1.166.92/30252.1.166.93 to 252.1.166.94252.1.166.952
25252.1.166.96/30252.1.166.97 to 252.1.166.98252.1.166.992
26252.1.166.100/30252.1.166.101 to 252.1.166.102252.1.166.1032
27252.1.166.104/30252.1.166.105 to 252.1.166.106252.1.166.1072
28252.1.166.108/30252.1.166.109 to 252.1.166.110252.1.166.1112
29252.1.166.112/30252.1.166.113 to 252.1.166.114252.1.166.1152
30252.1.166.116/30252.1.166.117 to 252.1.166.118252.1.166.1192
31252.1.166.120/30252.1.166.121 to 252.1.166.122252.1.166.1232
32252.1.166.124/30252.1.166.125 to 252.1.166.126252.1.166.1272
33252.1.166.128/30252.1.166.129 to 252.1.166.130252.1.166.1312
34252.1.166.132/30252.1.166.133 to 252.1.166.134252.1.166.1352
35252.1.166.136/30252.1.166.137 to 252.1.166.138252.1.166.1392
36252.1.166.140/30252.1.166.141 to 252.1.166.142252.1.166.1432
37252.1.166.144/30252.1.166.145 to 252.1.166.146252.1.166.1472
38252.1.166.148/30252.1.166.149 to 252.1.166.150252.1.166.1512
39252.1.166.152/30252.1.166.153 to 252.1.166.154252.1.166.1552
40252.1.166.156/30252.1.166.157 to 252.1.166.158252.1.166.1592
41252.1.166.160/30252.1.166.161 to 252.1.166.162252.1.166.1632
42252.1.166.164/30252.1.166.165 to 252.1.166.166252.1.166.1672
43252.1.166.168/30252.1.166.169 to 252.1.166.170252.1.166.1712
44252.1.166.172/30252.1.166.173 to 252.1.166.174252.1.166.1752
45252.1.166.176/30252.1.166.177 to 252.1.166.178252.1.166.1792
46252.1.166.180/30252.1.166.181 to 252.1.166.182252.1.166.1832
47252.1.166.184/30252.1.166.185 to 252.1.166.186252.1.166.1872
48252.1.166.188/30252.1.166.189 to 252.1.166.190252.1.166.1912
49252.1.166.192/30252.1.166.193 to 252.1.166.194252.1.166.1952
50252.1.166.196/30252.1.166.197 to 252.1.166.198252.1.166.1992
51252.1.166.200/30252.1.166.201 to 252.1.166.202252.1.166.2032
52252.1.166.204/30252.1.166.205 to 252.1.166.206252.1.166.2072
53252.1.166.208/30252.1.166.209 to 252.1.166.210252.1.166.2112
54252.1.166.212/30252.1.166.213 to 252.1.166.214252.1.166.2152
55252.1.166.216/30252.1.166.217 to 252.1.166.218252.1.166.2192
56252.1.166.220/30252.1.166.221 to 252.1.166.222252.1.166.2232
57252.1.166.224/30252.1.166.225 to 252.1.166.226252.1.166.2272
58252.1.166.228/30252.1.166.229 to 252.1.166.230252.1.166.2312
59252.1.166.232/30252.1.166.233 to 252.1.166.234252.1.166.2352
60252.1.166.236/30252.1.166.237 to 252.1.166.238252.1.166.2392
61252.1.166.240/30252.1.166.241 to 252.1.166.242252.1.166.2432
62252.1.166.244/30252.1.166.245 to 252.1.166.246252.1.166.2472
63252.1.166.248/30252.1.166.249 to 252.1.166.250252.1.166.2512
64252.1.166.252/30252.1.166.253 to 252.1.166.254252.1.166.2552
65252.1.167.0/30252.1.167.1 to 252.1.167.2252.1.167.32
66252.1.167.4/30252.1.167.5 to 252.1.167.6252.1.167.72
67252.1.167.8/30252.1.167.9 to 252.1.167.10252.1.167.112
68252.1.167.12/30252.1.167.13 to 252.1.167.14252.1.167.152
69252.1.167.16/30252.1.167.17 to 252.1.167.18252.1.167.192
70252.1.167.20/30252.1.167.21 to 252.1.167.22252.1.167.232
71252.1.167.24/30252.1.167.25 to 252.1.167.26252.1.167.272
72252.1.167.28/30252.1.167.29 to 252.1.167.30252.1.167.312
73252.1.167.32/30252.1.167.33 to 252.1.167.34252.1.167.352
74252.1.167.36/30252.1.167.37 to 252.1.167.38252.1.167.392
75252.1.167.40/30252.1.167.41 to 252.1.167.42252.1.167.432
76252.1.167.44/30252.1.167.45 to 252.1.167.46252.1.167.472
77252.1.167.48/30252.1.167.49 to 252.1.167.50252.1.167.512
78252.1.167.52/30252.1.167.53 to 252.1.167.54252.1.167.552
79252.1.167.56/30252.1.167.57 to 252.1.167.58252.1.167.592
80252.1.167.60/30252.1.167.61 to 252.1.167.62252.1.167.632
81252.1.167.64/30252.1.167.65 to 252.1.167.66252.1.167.672
82252.1.167.68/30252.1.167.69 to 252.1.167.70252.1.167.712
83252.1.167.72/30252.1.167.73 to 252.1.167.74252.1.167.752
84252.1.167.76/30252.1.167.77 to 252.1.167.78252.1.167.792
85252.1.167.80/30252.1.167.81 to 252.1.167.82252.1.167.832
86252.1.167.84/30252.1.167.85 to 252.1.167.86252.1.167.872
87252.1.167.88/30252.1.167.89 to 252.1.167.90252.1.167.912
88252.1.167.92/30252.1.167.93 to 252.1.167.94252.1.167.952
89252.1.167.96/30252.1.167.97 to 252.1.167.98252.1.167.992
90252.1.167.100/30252.1.167.101 to 252.1.167.102252.1.167.1032
91252.1.167.104/30252.1.167.105 to 252.1.167.106252.1.167.1072
92252.1.167.108/30252.1.167.109 to 252.1.167.110252.1.167.1112
93252.1.167.112/30252.1.167.113 to 252.1.167.114252.1.167.1152
94252.1.167.116/30252.1.167.117 to 252.1.167.118252.1.167.1192
95252.1.167.120/30252.1.167.121 to 252.1.167.122252.1.167.1232
96252.1.167.124/30252.1.167.125 to 252.1.167.126252.1.167.1272
97252.1.167.128/30252.1.167.129 to 252.1.167.130252.1.167.1312
98252.1.167.132/30252.1.167.133 to 252.1.167.134252.1.167.1352
99252.1.167.136/30252.1.167.137 to 252.1.167.138252.1.167.1392
100252.1.167.140/30252.1.167.141 to 252.1.167.142252.1.167.1432
101252.1.167.144/30252.1.167.145 to 252.1.167.146252.1.167.1472
102252.1.167.148/30252.1.167.149 to 252.1.167.150252.1.167.1512
103252.1.167.152/30252.1.167.153 to 252.1.167.154252.1.167.1552
104252.1.167.156/30252.1.167.157 to 252.1.167.158252.1.167.1592
105252.1.167.160/30252.1.167.161 to 252.1.167.162252.1.167.1632
106252.1.167.164/30252.1.167.165 to 252.1.167.166252.1.167.1672
107252.1.167.168/30252.1.167.169 to 252.1.167.170252.1.167.1712
108252.1.167.172/30252.1.167.173 to 252.1.167.174252.1.167.1752
109252.1.167.176/30252.1.167.177 to 252.1.167.178252.1.167.1792
110252.1.167.180/30252.1.167.181 to 252.1.167.182252.1.167.1832
111252.1.167.184/30252.1.167.185 to 252.1.167.186252.1.167.1872
112252.1.167.188/30252.1.167.189 to 252.1.167.190252.1.167.1912
113252.1.167.192/30252.1.167.193 to 252.1.167.194252.1.167.1952
114252.1.167.196/30252.1.167.197 to 252.1.167.198252.1.167.1992
115252.1.167.200/30252.1.167.201 to 252.1.167.202252.1.167.2032
116252.1.167.204/30252.1.167.205 to 252.1.167.206252.1.167.2072
117252.1.167.208/30252.1.167.209 to 252.1.167.210252.1.167.2112
118252.1.167.212/30252.1.167.213 to 252.1.167.214252.1.167.2152
119252.1.167.216/30252.1.167.217 to 252.1.167.218252.1.167.2192
120252.1.167.220/30252.1.167.221 to 252.1.167.222252.1.167.2232
121252.1.167.224/30252.1.167.225 to 252.1.167.226252.1.167.2272
122252.1.167.228/30252.1.167.229 to 252.1.167.230252.1.167.2312
123252.1.167.232/30252.1.167.233 to 252.1.167.234252.1.167.2352
124252.1.167.236/30252.1.167.237 to 252.1.167.238252.1.167.2392
125252.1.167.240/30252.1.167.241 to 252.1.167.242252.1.167.2432
126252.1.167.244/30252.1.167.245 to 252.1.167.246252.1.167.2472
127252.1.167.248/30252.1.167.249 to 252.1.167.250252.1.167.2512
128252.1.167.252/30252.1.167.253 to 252.1.167.254252.1.167.2552

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses